local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 5
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("chegadefugir") then

  disablePause()
  disableMovement()
  wait(2)

  setInventory("Default")
  player.Dashes = 1
  doFadeWipe(false)
  wait(2.5)

  setFlag("chegadefugir", false)
  setFlag("sombras", false)
  setFlag("introblackspacestart")
  setFlag("enterblackspace")

  end

end